/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Linear Measurements
 */
public enum EnumCV_LinearMeasurements {

	//Linear Measurements - CID 7470
	LENGTH_G_A22A("G-A22A"),
	PATH_LENGTH_121211("121211"),
	DISTANCE_121206("121206"),
	WIDTH_G_A220("G-A220"),
	DEPTH_G_D785("G-D785"),
	DIAMETER_M_02550("M-02550"),
	LONG_AXIS_G_A185("G-A185"),
	SHORT_AXIS_G_A186("G-A186"),
	MAJOR_AXIS_G_A193("G-A193"),
	MINOR_AXIS_G_A194("G-A194"),
	PERPENDICULAR_AXIS_G_A195("G-A195"),
	RADIUS_G_A196("G-A196"),
	PERIMETER_G_A197("G-A197"),
	CIRCUMFERENCE_M_02560("M-02560"),
	DIAMETER_OF_CIRCUMSCRIBED_CIRCLE_G_A198("G-A198"),
	HEIGHT_121207("121207");

	private String value;

	EnumCV_LinearMeasurements(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
